#
# spec file for package skelcd-openSUSE
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define version_unconverted 84.87.20240227.984e01a
# changed by pre_checkin
%define is_non_oss 0
#
%if 0%{?suse_version} >= 1500 && !0%{?skelcd_compat}
%define skelcdpath %{_prefix}/lib/skelcd
%endif
#
%bcond_with betatest
%bcond_without  java
#
Name:           skelcd-openSUSE
Version:        84.87.20240227.984e01a
Release:        1.3
Summary:        Skeleton for openSUSE OSS Media Sets
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/skelcd-openSUSE
Source:         skelcd-openSUSE-%{version}.tar.xz
Source99:       skelcd-openSUSE-rpmlintrc
BuildRequires:  build-key
Conflicts:      skelcd-openSUSE-non-OSS
Conflicts:      skelcd-openSUSE-non-OSS-CD
Conflicts:      skelcd-sled
Conflicts:      skelcd-sles
%if %{with java}
BuildRequires:  release-notes-openSUSE
# we abuse the no java path here to skip license processing in staging
BuildRequires:  translate-toolkit
%endif

%description
Internal package only, used for openSUSE OSS Media sets

%package non-OSS
Summary:        Skeleton for openSUSE non-OSS Media Sets
Group:          Metapackages

%description non-OSS
Internal package only, used for openSUSE non-OSS Media sets

%prep
%setup -q
%if ! %{with betatest}
  # Remove README.BETA unless we build a beta version (prjconf flag)
  rm skelcd/README.BETA
%endif

%build
DIST="%{distribution}"
DISTVER=${DIST#openSUSE }
if [ "$DISTVER" = 'Factory' ]; then
  DISTVER=Tumbleweed
fi
sed -i -e"s@#VERSION#@$DISTVER@g" license/license.txt
%if %{with java}
make %{?_smp_mflags} VERSION="$DISTVER"
%else
# build without translate-toolkit support in staging
make %{?_smp_mflags} VERSION="$DISTVER" LICENSES=
%endif
#

%install
mkdir -p %{buildroot}%{?skelcdpath}/CD1/boot
# YaST uses release notes txt for textmode installation and rtf for graphical
%if %{with java}
  mkdir -p %{buildroot}%{?skelcdpath}/CD1/docu
  cp -p %{_datadir}/doc/release-notes/openSUSE/RELEASE-NOTES.*.{rtf,txt} %{buildroot}%{?skelcdpath}/CD1/docu
%endif
#
cp skelcd/* %{buildroot}%{?skelcdpath}/CD1/
cp skelcd/.treeinfo.%suse_version %{buildroot}%{?skelcdpath}/CD1/.treeinfo
install -m 644 %{_prefix}/lib/rpm/gnupg/keys/*.asc %{buildroot}%{?skelcdpath}/CD1/
# treeinfo file for virt-install

%files
%if %{defined skelcdpath}
%dir %{skelcdpath}
%endif
%{?skelcdpath}/CD1

%files non-OSS
%if %{defined skelcdpath}
%dir %{skelcdpath}
%endif
%{?skelcdpath}/CD1
%exclude %{?skelcdpath}/CD1/docu
%exclude %{?skelcdpath}/CD1/license.tar.gz
%exclude %{?skelcdpath}/CD1/.treeinfo

%changelog
* Tue Feb 27 2024 opensuse-packaging@opensuse.org
- Update to version 84.87.20240227.984e01a:
  * Add .treeinfo for Leap Micro 6.0 and Leap 16.0
  * Update treeinfo to 15.6
  * Update .treeinfo.1500 to 15.5
  * Tumbleweed changes suse_version from 1599 to 1699
  * Translated using Weblate (Spanish)
* Wed Sep 20 2023 opensuse-packaging@opensuse.org
- Update to version 84.87.20230918.56867a9:
  * Update treeinfo to 15.6
* Tue May  2 2023 opensuse-packaging@opensuse.org
- Update to version 84.87.20230502.ce4b10d:
  * Update .treeinfo.1500 to 15.5
  * Tumbleweed changes suse_version from 1599 to 1699
* Mon Feb 13 2023 opensuse-packaging@opensuse.org
- Update to version 84.87.20230105.e1eb746:
  * Translated using Weblate (Spanish)
* Fri Oct 14 2022 opensuse-packaging@opensuse.org
- Update to version 84.87.20221014.a1fea0d:
  * Update email in README
  * Update SUSE business address
  * Translated using Weblate (Italian)
  * Translated using Weblate (Russian)
* Thu May 19 2022 opensuse-packaging@opensuse.org
- Update to version 84.87.20220519.bf4df4b:
  * Update year poo#100125
* Thu May 19 2022 opensuse-packaging@opensuse.org
- Update to version 84.87.20220406.78dbb8c:
  * Use https instead of git:// which is disabled
  * Translated using Weblate (Czech)
  * Update version to 15.4 in Leap's treeinfo
  * Bump for 15.4 poo#99876
  * Translated using Weblate (Ukrainian)
  * Rename .treeinfo.1550 to .treeinfo.1599
  * Translated using Weblate (Chinese (China) (zh_CN))
  * Translated using Weblate (Italian)
  * Translated using Weblate (Russian)
  * Bump date in the license poo#76378
  * treeinfo: bump treeinfo to 15.3
* Fri Feb 25 2022 opensuse-packaging@opensuse.org
- Update to version 84.87.20220225.f4ee64a:
  * Update version to 15.4 in Leap's treeinfo
* Fri Feb 25 2022 Lubos Kocman <lubos.kocman@suse.com>
- Update of translations for 15.4 poo#99990
* Fri Feb 25 2022 opensuse-packaging@opensuse.org
- Update to version 84.87.20220225.45651b0:
  * Bump for 15.4 poo#99876
  * Translated using Weblate (Ukrainian)
* Tue Nov 30 2021 opensuse-packaging@opensuse.org
- Update to version 84.87.20211130.ef8d1a6:
  * Rename .treeinfo.1550 to .treeinfo.1599
  * Translated using Weblate (Chinese (China) (zh_CN))
  * Translated using Weblate (Italian)
  * Translated using Weblate (Russian)
* Tue Apr 13 2021 opensuse-packaging@opensuse.org
- Update to version 84.87.20210413.ec9aed1:
  * Bump date in the license poo#76378
* Tue Apr 13 2021 opensuse-packaging@opensuse.org
- Update to version 84.87.20210319.3745b19:
  * treeinfo: bump treeinfo to 15.3
  * Added translation using Weblate (Sinhala)
  * Translated using Weblate (Portuguese (Portugal))
  * Added translation using Weblate (Portuguese (Portugal))
  * Update date across *po* files
  * Update year in license poo#61260
* Thu Nov 14 2019 opensuse-packaging@opensuse.org
- Update to version 84.87.20190715.93dc01e:
  * Bump treeinfo to 15.2
  * Translated using Weblate (Arabic)
* Mon May  6 2019 opensuse-packaging@opensuse.org
- Update to version 84.87.20190503.f962d0e:
  * Translated using Weblate (Persian)
* Mon Mar 25 2019 Karl Eichwalder <ke@suse.de>
- Update to version 84.87.20190315.c89f577:
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Kabyle)
* Wed Mar 13 2019 opensuse-packaging@opensuse.org
- Update to version 84.87.20190313.adde7aa:
  * update treeinfo file to 15.1 (boo#1128927)
  * Change year to 2019
  * Fix spelling: SuSE -> SUSE
* Tue Feb 12 2019 opensuse-packaging@opensuse.org
- Update to version 84.87.20190113.32a0440:
  * Added translation using Weblate (Kabyle)
* Mon May 14 2018 opensuse-packaging@opensuse.org
- Update to version 84.87.20180511.5f10599:
  * Translated using Weblate (German)
* Mon Apr 16 2018 opensuse-packaging@opensuse.org
- Update to version 84.87.20180408.24ed1ee:
  * Translated using Weblate (Hindi)
  * Added translation using Weblate (Hindi)
* Fri Apr  6 2018 opensuse-packaging@opensuse.org
- Update to version 84.87.20180406.b4b5de8:
  * add .treeinfo files for virt-install
* Fri Apr  6 2018 lnussel@suse.de
- add .treeinfo files for virt-manager
* Tue Mar 27 2018 opensuse-packaging@opensuse.org
- Update to version 84.87.20180322.65c3317:
  * Update year to 2018
  * Translated using Weblate (Ukrainian)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Portuguese (Brazil))
* Tue Nov 21 2017 dimstar@opensuse.org
- In case prjconf defines skelcd_compat, do not yet move skelcdpath
  to /usr/share. This allows TW to move suse_version ahead of
  SLE15, without being forced to switch to the new product builder.
* Fri Oct  6 2017 lnussel@suse.de
- Update to version 84.87.20170814.54da904:
  * Translated using Weblate (Indonesian)
  * create tarball in a reproducible way
  * Translated using Weblate (Danish)
- use /usr/lib/skelcd conditionally
- run through spec-cleaner
* Thu Oct  5 2017 dimstar@opensuse.org
- Remove README.BETA unless prjconf defines _with_betatest: 1; in
  the past, kiwi was dropping README.BETA, but the new product
  builder does no longer take care of that.
* Mon Jul 17 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170712.1dc7ffa:
  * Added translation using Weblate (Norwegian Nynorsk)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Danish)
  * Translated using Weblate (Greek)
* Fri Jul  7 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170608.7282c44:
  * Translated using Weblate (Danish)
* Wed Jun  7 2017 opensuse-packaging@opensuse.org
- Update to version 84.87.20170606.60aba84:
  * update copyright year
  * Translated using Weblate (Danish)
* Mon May  8 2017 lnussel@suse.de
- Update to version 84.87.20170508.effa251:
  * Translated using Weblate (Chinese (Taiwan))
  * add new icon
  * add .ico icon
* Wed Mar 15 2017 ke@suse.de
- Update to version 84.87.20161221.22db9c6:
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Chinese (China))
* Tue Nov  8 2016 ke@suse.de
- Update to version 84.87.20161107.bcb1a98:
  * Translated using Weblate (Chinese (Taiwan))
* Mon Nov  7 2016 ke@suse.de
- Update to version 84.87.20161107.2f987da:
  * Translated using Weblate (Arabic)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Persian)
  * Translated using Weblate (French)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Spanish)
* Thu Oct 27 2016 lnussel@suse.de
- Update to version 84.87.20161026.1627f5e:
  * Drop license.in.po
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Indonesian)
  * Translated using Weblate (Persian)
  * Translated using Weblate (Russian)
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Ukrainian)
* Fri Sep 30 2016 sknorr@suse.de
- Update to version 84.87.20160926.4df50ec:
  * Translated using Weblate (Polish)
* Mon Sep 26 2016 lnussel@suse.de
- Update to version 84.87.20160925.e6d19e2:
  * Translated using Weblate (Asturian)
  * Translated using Weblate (Catalan)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Dutch)
  * Translated using Weblate (German)
  * Translated using Weblate (Japanese)
  * Translated using Weblate (Portuguese (Brazil))
  * Translated using Weblate (Russian)
  * Translated using Weblate (Ukrainian)
* Fri Sep 16 2016 opensuse-packaging@opensuse.org
- Update to version 84.87.20160831.7dfe5fb:
  * Update license.txt
  * Merge updated license to translation template
  * Update pot file
* Thu Aug 25 2016 lnussel@suse.de
- Update to version 84.87.20160819.aacef49:
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Chinese (China))
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Arabic)
  * Update year
* Wed May 11 2016 lnussel@suse.de
- Don't hardcode distribution version to be able to share package
  between Leap and TW
- Update to version 84.87.20160511.ece383f:
  * Fix version in Makefile directly
  * Automatically include all 100%% translations
  * Translated using Weblate (Swedish)
  * Generate Ukrainian
  * Translated using Weblate (Czech)
  * Translated using Weblate (Korean)
  * Translated using Weblate (Swedish)
* Wed Apr 13 2016 lnussel@suse.de
- Update to version 84.87.20160413.b700fbb:
  + Translated using Weblate (Ukrainian)
  + Fix Source links
  + Add more description
* Tue Mar 15 2016 lnussel@suse.de
- don't build in install section
* Mon Feb  1 2016 lnussel@suse.de
- Update to version 84.87.20160120.19b8aaf:
  + fix russian paragraphs
* Mon Feb  1 2016 lnussel@suse.de
- don't build translations in staging
* Wed Jan 20 2016 lnussel@suse.de
- Update to version 84.87.20160120.89830f6:
  + use po files for translation
  + use msgmerge --previous
* Mon Dec  7 2015 dvaleev@suse.com
- include no-acceptance-needed file into license tarball
* Fri Dec  4 2015 dvaleev@suse.com
- Let prj conf decide if we want java or not. Build with release
  notes by default
* Wed Nov 25 2015 lnussel@suse.com
- move actual files to Github, use service file to generate
- drop -CD subpackage as it is unused
- build skelcd-openSUSE-non-OSS in same spec
* Wed Nov 18 2015 dimstar@opensuse.org
- Release notes are now only published in 'unified' English: copy
  the relevant files.
* Wed Oct 21 2015 coolo@suse.com
- change openSUSE version to Tumbleweed (bnc#925986)
* Tue Oct 20 2015 dimstar@opensuse.org
- Release notes are now available in en_US and en_UK: just pick
  en_US for the CD main content.
* Fri Oct 24 2014 lnussel@suse.de
- update copyright to 2014
* Wed Sep 17 2014 coolo@suse.com
- modernize the text of README.BETA
* Mon Sep 15 2014 belphegor@belbel.or.jp
- replace all of #VERSION# tags when they exist twice or more
  within one line
* Tue Jul  8 2014 rschweikert@suse.com
- make the .es and .ru license files world readable
* Wed Jun  4 2014 coolo@suse.com
- let's claim it's 13.2
* Tue Nov  5 2013 coolo@suse.com
- add dutch
* Tue Nov  5 2013 coolo@suse.com
- update translations for es and ru
* Thu Oct 24 2013 coolo@suse.com
- add czech translation of the license
* Thu Oct 17 2013 coolo@suse.com
- update polish too
* Tue Oct 15 2013 coolo@suse.com
- readd license translations (bnc#841252)
* Mon Oct 14 2013 lnussel@suse.de
- don't install the translation template (bnc#841252)
* Wed Sep 25 2013 lnussel@suse.de
- update license file according to feedback from Legal
* Mon Sep 16 2013 coolo@suse.com
- docu team no longer wants to produce PDFs, so remove it from
  DVD and provide them only online
* Fri Aug  2 2013 coolo@suse.com
- in projects/architecturs without java, leave out the docu
* Tue May 14 2013 coolo@suse.com
- fix the previous change
* Mon May 13 2013 coolo@suse.com
- bump to 13.1
* Wed Mar  6 2013 lnussel@suse.de
- change copyright to SUSE
* Tue Feb 12 2013 aj@suse.com
- Change postal address to openSUSE team
* Fri Feb  8 2013 coolo@suse.com
- remove autorun.inf, which is wrong on most media (bnc#801873)
* Mon Oct  1 2012 coolo@suse.com
- update distribution release
* Thu Aug 23 2012 idonmez@suse.com
- Update Polish translation formatting (bnc#768393)
* Thu Jul 12 2012 coolo@suse.com
- actually compress the license.tar as promised
* Mon Jul  9 2012 coolo@suse.com
- fix encoding of polish
* Thu Jun 14 2012 aj@suse.de
- Some fixes for license.es by Javier Llorente.
* Tue Jun 12 2012 giecrilj@stegny.2a.pl
- a better wording for license.pl
* Tue Jun 12 2012 coolo@suse.com
- the docu only applies to the main architectures
* Sat Jun  9 2012 giecrilj@stegny.2a.pl
- add license.pl.txt
- copy the manuals whatever their file names are
- Update FSF Address in GPL v2 document.
* Thu Apr 26 2012 lnussel@suse.de
- openSUSE-build-key no longer contains gpg keyring, so use
  individual key files instead.
* Tue Dec  6 2011 coolo@suse.com
- YaST is not a license
* Wed Nov 23 2011 aj@suse.de
- Change version number to 12.2
* Thu Nov  3 2011 aj@suse.de
- Update FSF Address in GPL v2 document.
- Remove obsolete comments about README.BETA
* Thu Nov  3 2011 aj@suse.de
- Do not package empty docu dir for non-oss.
* Tue Nov  1 2011 coolo@suse.com
- non-oss repo does not need the docu
* Sun Oct 30 2011 coolo@suse.com
- gpg needs the .gnupg directory created for some reason now,
  fix *.asc keys on CDs
* Wed Oct 19 2011 aj@suse.de
- Update description about sources.
* Wed Jun  1 2011 aj@suse.de
- Update Hungarian translation.
* Tue May 31 2011 bruno@ioda-net.ch
- Fix typos as suggested in bnc#696425 c7
- Removed . at the end of url and mail
* Mon May 30 2011 bruno@ioda-net.ch
- fix first paragraph to be less scary : fix bnc#696425
- fix line width to be less or equal to 69 chars
  avoid paging ( coolo recommendation )
* Thu May 26 2011 aj@suse.de
- Update license translations.
* Thu Apr 14 2011 aj@suse.de
- Change version number to 12.1.
* Fri Mar 25 2011 aj@suse.de
- Update license.
* Thu Dec  2 2010 aj@suse.de
- Update Russian license.
* Thu Sep  2 2010 aj@suse.de
- Add Russian license.
* Mon Jul 26 2010 aj@suse.de
- Add README.BETA.
- Change version number to 11.4.
* Thu Jun 17 2010 coolo@novell.com
- remove README.BETA
* Tue May 25 2010 aj@suse.de
- Update license text.
* Tue Mar 16 2010 coolo@novell.com
- store the licenses as root in the tar, not 399
* Mon Feb 22 2010 jw@novell.com
- license-SL.tar.bz2 fixes:
  http://www.opensuse.org/Legal -> http://en.opensuse.org/Legal
  Proof-read german license text. (bnc#581588)
* Mon Jan 25 2010 coolo@novell.com
- remove some hardcoded 11.1 (bnc#555826)
* Wed Jan 20 2010 coolo@novell.com
- update version of the distribution
* Fri Oct 23 2009 coolo@novell.com
- no beta anymore
* Wed Sep 30 2009 coolo@novell.com
- add hungarian license (bnc#542605)
* Mon Sep 28 2009 coolo@novell.com
- we should be able to skip README.DOS by now
* Mon Sep 28 2009 coolo@novell.com
- add startup docu to DVD (bnc#540262)
* Wed Apr  8 2009 coolo@suse.de
- replace 11.1 with 11.2 everywhere
* Mon Dec  1 2008 coolo@suse.de
- pt_BR, de and es are in too
* Sun Nov 30 2008 coolo@suse.de
- format with 70, there were still a bit too many chars
* Fri Nov 28 2008 coolo@suse.de
- some translations sent in (bnc#448270)
* Tue Nov 25 2008 coolo@suse.de
- the license is not an agreement anymore (bnc#448598)
* Thu Nov 20 2008 coolo@suse.de
- now back to rc
* Wed Nov 12 2008 coolo@suse.de
- no more beta eula - only a popup
* Mon Nov 10 2008 coolo@suse.de
- it's beta5 not rc
* Mon Nov 10 2008 coolo@suse.de
- only take the new license for oss media
* Sun Nov  9 2008 coolo@suse.de
- new license from legal
* Fri Oct 24 2008 coolo@suse.de
- release notes patch changed again (back)
* Fri Oct 17 2008 lrupp@suse.de
- just require instlux-local
- add the version to the autorun.inf
- fix factory url in READMEs (bnc#434585)
* Fri Sep 19 2008 adrian@suse.de
- fix build with openSUSE-build-key
* Wed Sep 17 2008 adrian@suse.de
- remove BuildRequires to redbook. Not needed and available anymore.
* Thu Aug  7 2008 coolo@suse.de
- disable the pdfs for now
* Tue Jul 29 2008 lrupp@suse.de
- fix ppc filelist
* Thu Jul 24 2008 coolo@suse.de
- readded the 36MB docu to the x86_64 too early ;(
* Fri Jul 18 2008 coolo@suse.de
- release notes path changed
* Mon Jun 23 2008 coolo@suse.de
- merging skelcd-openSUSE und -non-oss and dropping subpackages
  not needed
* Wed Jun 18 2008 coolo@suse.de
- we're alpha again
* Mon Jun  9 2008 coolo@suse.de
- correcting translations
* Sun Jun  8 2008 coolo@suse.de
- update EULA for live CDs
* Tue Jun  3 2008 coolo@suse.de
- almost forgot: disable beta EULA
* Mon May  5 2008 lrupp@suse.de
- create autorun.inf automatically
- be more robust creating docu-subdirs
- added rpmlintrc
* Wed Apr 16 2008 aj@suse.de
- Update license for 11.0.
* Sat Mar 29 2008 coolo@suse.de
- release-notes was renamed
* Thu Mar 13 2008 coolo@suse.de
- trying to fit the license in 70 chars (bnc#368541)
* Thu Nov 29 2007 coolo@suse.de
- remove "for now" part
* Tue Nov 27 2007 coolo@suse.de
- enable beta EULA
* Mon Nov 19 2007 cthiel@suse.de
- fixed word wrapping in license.hu.txt (#339812)
* Wed Sep 26 2007 cthiel@suse.de
- update german EULA (#327759)
* Wed Sep 26 2007 cthiel@suse.de
- fixed definitions in EULA (#327759)
* Tue Sep 25 2007 cthiel@suse.de
- readded opensuse-kdequick_en.pdf to KDE-CD
* Mon Sep 24 2007 cthiel@suse.de
- fixed word wrapping in license.sk.txt (thanks to Ladislav Michnovic)
* Mon Sep 24 2007 cthiel@suse.de
- include Hungaraian translation of license.txt (by Kalman Kemenczy, Novell
  Hungary)
* Tue Sep 18 2007 cthiel@suse.de
- fix word wrapping in license.txt
* Mon Sep 17 2007 cthiel@suse.de
- disable beta EULA
* Thu Sep 13 2007 cthiel@suse.de
- update openSUSE 10.3 EULA (including translations)
* Wed Aug 29 2007 cthiel@suse.de
- remove opensuse-kdequick_en.pdf from KDE-CD for space reasons
* Wed Aug 22 2007 cthiel@suse.de
- readded /docu/*.rtf and /docu/*.html
* Tue Aug 21 2007 cthiel@suse.de
- fix build on ppc
* Tue Aug 21 2007 cthiel@suse.de
- fixed docu selection on CD-KDE and CD-GNOME
* Tue Aug 21 2007 cthiel@suse.de
- exclude /docu/de on CD-KDE and CD-GNOME
* Mon Aug 20 2007 cthiel@suse.de
- split of additional CD subpackage
* Mon Aug 20 2007 cthiel@suse.de
- split of FTP, CD-KDE and CD-GNOME subpackage
* Wed Aug  8 2007 cthiel@suse.de
- license.zip -> license.tar.gz
* Mon Jul 30 2007 aj@suse.de
- Use license directory.
- Add GPLv3.
* Fri Jul 27 2007 aj@suse.de
- Add label to autorun.inf (#274894).
* Wed May 23 2007 aj@suse.de
- Add proofread README.
* Mon Apr 16 2007 aj@suse.de
- New package used for openSUSE OSS media with reworked media
  layout for licenses.
